Subject: bug#23893: 24.5; Emacs vfork error

From: Noam Postavsky <[email-masked]>
Date: Mon, 4 Jul 2016 12:05:29 -0400

On Mon, Jul 4, 2016 at 11:38 AM, Jim Hurt <[email-masked]> wrote:
>
> Several days ago, while using Emacs to edit LaTeX files, while
> successfully editing one such file I tried to open another, and got the
> message:
>
> File mode specification error: (file-error "Doing vfork" "Resource temporarily unavailable")
>
> I have tried doing a rebaseall, setting the rebase switch then updating
> cygwin, and uninstalling then reinstallin cygwin, all to no avail.

According to https://www.cygwin.com/ml/cygwin/2015-05/msg00333.html,
you should do

rebase-trigger fullrebase (then reboot, and rerun setup.exe)

not rebaseall.

Also seems relevant:
https://www.cygwin.com/faq.html#faq.using.fixing-fork-failures